<?php
/**
 * @file
 * Contatins \Drupal\mymodule\Form
 */
namespace Drupal\mymodule\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

class BatchForm extends FormBase {

  public function getFormId() {
    return 'mymodule_batch_form';
  }

  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['text'] = array(
      '#type' => 'datetime',
      '#title' => 'Date and time',
    );

    $form['actions']['submit'] = array(
      '#type' => 'submit',
      '#value' => 'Import',
      '#button_type' => 'primary',
    );
    return $form;
  }

  public function submitForm(array &$form, FormStateInterface $form_state) {
    $api = \Drupal::service('mymodule.custom_services');
    $api->batch();
    /*$nids = \Drupal::entityQuery('node')->condition('type','people')->execute();
    $nodes =  \Drupal\node\Entity\Node::loadMultiple($nids);

    $operations = [];
    foreach ($nodes as $node) {
      $operations[] = ['callback', $node];
    }
    batch_set([
      'title' => 'Nodes import',
      'operations' => $operations,
    ]);*/
  }
}
